Skip to main content

@wildix/wim-tools-client > ToolWebhookConfig

ToolWebhookConfig interface

Signature:

export interface ToolWebhookConfig 

Properties

Property

Modifiers

Type

Description

auth?

ToolWebhookAuth | undefined

(Optional) Authentication configuration for the webhook request. For custom header authentication, use the headers field instead

body?

string | undefined

(Optional) Request body for POST, PUT, or PATCH requests

headers?

(ToolWebhookHeader)[] | undefined

(Optional) HTTP headers for the webhook request. For custom authentication headers (e.g., X-API-Key), add them here instead of using auth.customHeader

method

ToolWebhookMethod

HTTP method for the webhook request, e.g.: 'POST'

timeout?

number | undefined

(Optional) Time before webhook execution is stopped

url

string

URL endpoint for the webhook, supports variables in path and query parameters using {{variable_name}}, e.g.: 'https://api.example.com/users/{{userId}}?filter={{filter}}&page={{page}}'